Public APIAPI ReferenceApps

List apps.

Beta API

The /v1 API contract may change, including breaking changes without compatibility aliases.

GET/v1/apps

Filter by team_id to list apps in a team you can access. Without a filter, only apps in teams you belong to are returned. CLI: ntro apps list.

Authorization

bearerAuth
AuthorizationBearer <token>

Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.

In: header

Query Parameters

cursor?string
limit?integer
team_id?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/apps"
{  "items": [    {      "createdAt": "string",      "domainCount": 0,      "domains": [        "string"      ],      "hostname": "string",      "id": "string",      "latestDeployment": {        "createdAt": "string",        "git": true,        "id": "string",        "shortId": "string",        "status": "string",        "target": "string"      },      "productionDeploymentId": "string",      "productionPreview": {        "capturedAt": "string",        "image": {          "token": "string",          "version": "string"        },        "status": "string"      },      "slug": "string",      "suspendedAt": "string",      "suspensionReason": "string",      "team_id": "string"    }  ],  "nextCursor": "string"}